Loading...
Searching...
No Matches
Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ReadArraySampleID Class Reference

`#include <ReadArraySampleCache.h>`

## Public Types

typedef ReadArraySampleID | this_type

## Public Member Functions

| ReadArraySampleID ()
| ReadArraySampleID (const ArraySample::Key &iSampleKey, ArraySamplePtr iSample)
| Explicit constructor creates ID with key and sample.
const ArraySample::Key & | getKey () const
ArraySamplePtr | getSample () const
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())

## Detailed Description

A ReadArraySampleID is a bundle that contains a pointer to the ArraySample itself, along with the sample's key.

Definition at line 51 of file ReadArraySampleCache.h.

## Member Typedef Documentation

## this_type

typedef ReadArraySampleID Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ReadArraySampleID::this_type

By convention, we define the typedef this_type. This is used by the unspecified-bool-type cast below.

Definition at line 56 of file ReadArraySampleCache.h.

## Constructor & Destructor Documentation

## ReadArraySampleID() [1/2]

Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ReadArraySampleID::ReadArraySampleID | ( |  | ) |

inline

Default constructor creates empty ID ...

Definition at line 60 of file ReadArraySampleCache.h.

## ReadArraySampleID() [2/2]

Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ReadArraySampleID::ReadArraySampleID | ( | const ArraySample::Key & | iSampleKey,
|  | ArraySamplePtr | iSample )

inline

Explicit constructor creates ID with key and sample.

Definition at line 63 of file ReadArraySampleCache.h.

## Member Function Documentation

## ALEMBIC_OPERATOR_BOOL()

Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ReadArraySampleID::ALEMBIC_OPERATOR_BOOL | ( | valid() |  | ) |

Unspecified bool type cast ...

## getKey()

const ArraySample::Key & Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ReadArraySampleID::getKey | ( |  | ) | const

inline

Default copy constructor Default assignment operator.

Return the sample key ...

Definition at line 73 of file ReadArraySampleCache.h.

## getSample()

ArraySamplePtr Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ReadArraySampleID::getSample | ( |  | ) | const

inline

Return the sample itself. ...

Definition at line 78 of file ReadArraySampleCache.h.

## valid()

bool Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ReadArraySampleID::valid | ( |  | ) | const

inline

Return whether or not this read sample is valid ...

Definition at line 83 of file ReadArraySampleCache.h.

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/AbcCoreAbstract/ReadArraySampleCache.h